<?xml version="1.0" encoding="utf-8"?>

<androidx.coordinatorlayout.widget.CoordinatorLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:id="@+id/bgLayout"
    android:layout_width="match_parent"
    android:layout_height="match_parent">

    <RelativeLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent">

        <com.cygnusa.hyperm.calendarView.CalendarView
            android:id="@+id/calendarView"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:layout_above="@+id/colors"
            app:eventsEnabled="true"
            app:type="one_day_picker" />

        <Button
            android:id="@+id/newSchedule"
            android:layout_width="110dp"
            android:layout_height="35dp"
            android:layout_alignParentEnd="true"
            android:layout_marginTop="10dp"
            android:layout_marginEnd="5dp"
            android:background="@drawable/border_navi"
            android:gravity="center"
            android:text="Add"
            android:textColor="@color/white"
            android:textSize="16sp" />


        <LinearLayout
            android:id="@+id/colors"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_alignParentBottom="true"
            android:layout_marginBottom="20dp"
            android:orientation="vertical">

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:orientation="horizontal">

                <LinearLayout
                    android:id="@+id/cyonColorCode"
                    android:layout_width="0dip"
                    android:layout_height="wrap_content"
                    android:layout_weight="1">

                    <TextView
                        android:layout_width="12dp"
                        android:layout_height="12dp"
                        android:layout_gravity="center"
                        android:layout_marginStart="8dp"
                        android:background="#9900CC" />

                    <TextView
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:padding="6dp"
                        android:text="Training scheduled not published"
                        android:textColor="@color/bg_black"
                        android:textSize="14sp" />
                </LinearLayout>

                <LinearLayout
                    android:layout_width="0dip"
                    android:layout_height="wrap_content"
                    android:layout_weight="1">

                    <TextView
                        android:layout_width="12dp"
                        android:layout_height="12dp"
                        android:layout_gravity="center"
                        android:layout_marginStart="8dp"
                        android:background="#3F51B5" />

                    <TextView
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:padding="6dp"
                        android:text="Training Scheduled"
                        android:textColor="@color/bg_black"
                        android:textSize="14sp" />
                </LinearLayout>
            </LinearLayout>


            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:orientation="horizontal">


                <LinearLayout
                    android:layout_width="0dip"
                    android:layout_height="wrap_content"
                    android:layout_weight="1">

                    <TextView
                        android:layout_width="12dp"
                        android:layout_height="12dp"
                        android:layout_gravity="center"
                        android:layout_marginStart="8dp"
                        android:background="#6D6D6D" />


                    <TextView
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:padding="6dp"
                        android:text="Training Confirmed"
                        android:textColor="@color/bg_black"
                        android:textSize="14sp" />
                </LinearLayout>

                <LinearLayout
                    android:layout_width="0dip"
                    android:layout_height="wrap_content"
                    android:layout_weight="1">

                    <TextView
                        android:layout_width="12dp"
                        android:layout_height="12dp"
                        android:layout_gravity="center"
                        android:layout_marginStart="8dp"
                        android:background="#F67280" />

                    <TextView
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:padding="6dp"
                        android:text="Training In progress"
                        android:textColor="@color/bg_black"
                        android:textSize="14sp" />
                </LinearLayout>


            </LinearLayout>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:orientation="horizontal">


                <LinearLayout
                    android:layout_width="0dip"
                    android:layout_height="wrap_content"
                    android:layout_weight="1">

                    <TextView
                        android:layout_width="12dp"
                        android:layout_height="12dp"
                        android:layout_gravity="center"
                        android:layout_marginStart="8dp"
                        android:background="#F9B316" />

                    <TextView
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:padding="6dp"
                        android:text="Training Rescheduled"
                        android:textColor="@color/bg_black"
                        android:textSize="14sp" />
                </LinearLayout>

                <LinearLayout
                    android:layout_width="0dip"
                    android:layout_height="wrap_content"
                    android:layout_weight="1">

                    <TextView
                        android:layout_width="12dp"
                        android:layout_height="12dp"
                        android:layout_gravity="center"
                        android:layout_marginStart="8dp"
                        android:background="#933a16" />

                    <TextView
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:padding="6dp"
                        android:text="Training Completed"
                        android:textColor="@color/bg_black"
                        android:textSize="14sp" />
                </LinearLayout>

            </LinearLayout>


            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:orientation="horizontal">

                <LinearLayout
                    android:layout_width="0dip"
                    android:layout_height="wrap_content"
                    android:layout_weight="1">

                    <TextView
                        android:layout_width="12dp"
                        android:layout_height="12dp"
                        android:layout_gravity="center"
                        android:layout_marginStart="8dp"
                        android:background="#348E00" />

                    <TextView
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:padding="6dp"
                        android:text="Training Closed"
                        android:textColor="@color/bg_black"
                        android:textSize="14sp" />

                </LinearLayout>

                <LinearLayout
                    android:layout_width="0dip"
                    android:layout_height="wrap_content"
                    android:layout_weight="1">

                    <TextView
                        android:layout_width="12dp"
                        android:layout_height="12dp"
                        android:layout_gravity="center"
                        android:layout_marginStart="8dp"
                        android:background="#F90303" />

                    <TextView
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:padding="6dp"
                        android:text="Training Cancelled"
                        android:textColor="@color/bg_black"
                        android:textSize="14sp" />
                </LinearLayout>

            </LinearLayout>

        </LinearLayout>

    </RelativeLayout>


    <androidx.core.widget.NestedScrollView
        android:id="@+id/bottom_sheet1"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_alignParentBottom="true"
        android:background="@color/material_bluegrey800"
        android:clipToPadding="true"
        android:visibility="visible"
        app:layout_behavior="com.google.android.material.bottomsheet.BottomSheetBehavior">

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:orientation="vertical">

            <TextView
                android:layout_width="match_parent"
                android:layout_height="40dp"
                android:layout_gravity="start|center"
                android:background="@drawable/spinner_border"
                android:gravity="center"
                android:text="Events"
                android:textAllCaps="true"
                android:textColor="@color/material_bluegrey800"
                android:textSize="16sp" />

            <androidx.recyclerview.widget.RecyclerView
                android:id="@+id/rclEvents"
                android:layout_width="match_parent"
                android:layout_height="wrap_content" />

        </LinearLayout>

    </androidx.core.widget.NestedScrollView>

</androidx.coordinatorlayout.widget.CoordinatorLayout>